﻿import {useBaseApi} from '/@/api/base';

// 客户表接口服务
export const useFB_CustomerApi = () => {
	const baseApi = useBaseApi("fB_Customer");
	return {
		// 分页查询客户表
		page: baseApi.page,
		// 查看客户表详细
		detail: baseApi.detail,
		// 新增客户表
		add: baseApi.add,
		// 更新客户表
		update: baseApi.update,
		// 设置客户表状态
		setStatus: baseApi.setStatus,
		// 删除客户表
		delete: baseApi.delete,
		// 批量删除客户表
		batchDelete: baseApi.batchDelete,
		// 导出客户表数据
		exportData: baseApi.exportData,
		// 导入客户表数据
		importData: baseApi.importData,
		// 下载客户表数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 客户表实体
export interface FB_Customer {
	// 主键Id
	id: number;
	// 账号
	account?: string;
	// 密码
	password?: string;
	// 真实姓名
	realName?: string;
	// 昵称
	nickName: string;
	// 头像
	avatar: string;
	// 性别
	sex?: number;
	// 年龄
	age?: number;
	// 出生日期
	birthday: string;
	// 民族
	nation: string;
	// 手机号码
	phone: string;
	// 证件类型
	cardType?: number;
	// 身份证号
	idCardNum: string;
	// 身份证
	idCardPath: string;
	// 邮箱
	email: string;
	// 地址
	address: string;
	// 文化程度
	cultureLevel?: number;
	// 政治面貌
	politicalOutlook: string;
	// 毕业院校
	college: string;
	// 办公电话
	officePhone: string;
	// 紧急联系人
	emergencyContact: string;
	// 紧急联系人电话
	emergencyPhone: string;
	// 紧急联系人地址
	emergencyAddress: string;
	// 个人简介
	introduction: string;
	// 排序
	orderNo?: number;
	// 状态
	status?: number;
	// 备注
	remark: string;
	// 职级
	posLevel: string;
	// 职称
	posTitle: string;
	// 擅长领域
	expertise: string;
	// 办公区域
	officeZone: string;
	// 办公室
	office: string;
	// 入职日期
	joinDate: string;
	// 最新登录Ip
	lastLoginIp: string;
	// 最新登录地点
	lastLoginAddress: string;
	// 最新登录时间
	lastLoginTime: string;
	// 最新登录设备
	lastLoginDevice: string;
	// 电子签名
	signature: string;
	// 租户Id
	tenantId: number;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
}